Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaDiscriminatorColumn

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaDiscriminatorColumn

All Implemented Interfaces:
  XMLSerializable

    public class JpaDiscriminatorColumn

extends Object
implements XMLSerializable

Field Summary
`protected String` | `columnDefinition`
`static int` | `DEFAULT_LENGTH`
`protected javax.persistence.DiscriminatorType` | `discriminatorType`
`protected int` | `length`
`protected String` | `name`

Constructor Summary
`JpaDiscriminatorColumn()`
`JpaDiscriminatorColumn(javax.persistence.DiscriminatorColumn annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`String` | `getColumnDefinition()`
`javax.persistence.DiscriminatorType` | `getDiscriminatorType()`
`int` | `getLength()`
`String` | `getName()`
`void` | `setColumnDefinition(String columnDefinition)`
`void` | `setDiscriminatorType(javax.persistence.DiscriminatorType discriminatrorType)`
`void` | `setLength(int length)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LENGTH

    public static final int DEFAULT_LENGTH

See Also:
  Constant Field Values

### name

    protected String name

### discriminatorType

    protected javax.persistence.DiscriminatorType discriminatorType

### columnDefinition

    protected String columnDefinition

### length

    protected int length

Constructor Detail

### JpaDiscriminatorColumn

    public JpaDiscriminatorColumn()

### JpaDiscriminatorColumn

    public JpaDiscriminatorColumn(javax.persistence.DiscriminatorColumn annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getColumnDefinition

    public String getColumnDefinition()

### setColumnDefinition

    public void setColumnDefinition(String columnDefinition)

### getDiscriminatorType

    public javax.persistence.DiscriminatorType getDiscriminatorType()

### setDiscriminatorType

    public void setDiscriminatorType(javax.persistence.DiscriminatorType discriminatrorType)

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getName

    public String getName()

### setName

    public void setName(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.